unless defined? Motion::Project::Config
  fail 'This file must be required within a RubyMotion project Rakefile'
end

require 'pathname'
lib = Pathname.new File.expand_path('..', __FILE__)

paths = lib.find.map do |path|
  next unless path.extname == '.rb'
  next if path.basename.to_s == 'operation.rb'
  next if path.basename.to_s == 'operation-rubymotion.rb'
  path.to_s
end.compact

Motion::Project::App.setup do |app|
  app.files << paths
end
